Skip to main content
POST
/
checkout
/
execute
Execute checkout (deduct balance, create transaction)
curl --request POST \
  --url https://api.getovra.com/checkout/execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "intentId": "<string>",
  "targetUrl": "<string>"
}
'
{
  "success": true,
  "transactionId": "<string>",
  "intentId": "<string>",
  "amountEuros": 123,
  "targetUrl": "<string>",
  "cardId": "<string>"
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Headers

Idempotency-Key
string

Unique key for idempotent request handling

Body

application/json
intentId
string
required
Minimum string length: 1
targetUrl
string<uri>
required

Response

Checkout executed

success
boolean
transactionId
string
intentId
string
amountEuros
number
targetUrl
string
cardId
string | null